## libyuv 0.0.1898.20241219

=== CMakeLists.txt ===
# CMakeLists for libyuv
# Originally created for "roxlu build system" to compile libyuv on windows
# Run with -DTEST=ON to build unit tests

include(CheckCSourceCompiles)

project ( YUV C CXX )	# "C" is required even for C++ projects
cmake_minimum_required( VERSION 2.8.12 )
option( UNIT_TEST "Built unit tests" OFF )

set ( ly_base_dir	${PROJECT_SOURCE_DIR} )
set ( ly_src_dir	${ly_base_dir}/source )
set ( ly_inc_dir	${ly_base_dir}/include )
set ( ly_tst_dir	${ly_base_dir}/unit_test )
set ( ly_lib_name	yuv )
set ( ly_lib_static	${ly_lib_name} )
set ( ly_lib_shared	${ly_lib_name}_shared )

# We cannot use GLOB here since we want to be able to separate out files that
# need particular flags to enable architecture extensions like AArch64's SVE.
# TODO: More of these files could be separated out for different architectures.
set ( ly_common_source_files
  ${ly_src_dir}/compare.cc
  ${ly_src_dir}/compare_common.cc
  ${ly_src_dir}/compare_gcc.cc
  ${ly_src_dir}/compare_msa.cc
  ${ly_src_dir}/compare_win.cc
  ${ly_src_dir}/convert_argb.cc
  ${ly_src_dir}/convert.cc
  ${ly_src_dir}/convert_from_argb.cc
  ${ly_src_dir}/convert_from.cc
  ${ly_src_dir}/convert_jpeg.cc
  ${ly_src_dir}/convert_to_argb.cc
  ${ly_src_dir}/convert_to_i420.cc
  ${ly_src_dir}/cpu_id.cc
  ${ly_src_dir}/mjpeg_decoder.cc
  ${ly_src_dir}/mjpeg_validate.cc
  ${ly_src_dir}/planar_functions.cc
  ${ly_src_dir}/rotate_any.cc
  ${ly_src_dir}/rotate_argb.cc
  ${ly_src_dir}/rotate.cc
  ${ly_src_dir}/rotate_common.cc
  ${ly_src_dir}/rotate_gcc.cc
  ${ly_src_dir}/rotate_lsx.cc
  ${ly_src_dir}/rotate_msa.cc
  ${ly_src_dir}/rotate_win.cc
  ${ly_src_dir}/row_any.cc
  ${ly_src_dir}/row_common.cc
  ${ly_src_dir}/row_gcc.cc
  ${ly_src_dir}/row_lasx.cc
  ${ly_src_dir}/row_lsx.cc
  ${ly_src_dir}/row_msa.cc
  ${ly_src_dir}/row_rvv.cc
  ${ly_src_dir}/row_win.cc
  ${ly_src_dir}/scale_any.cc
  ${ly_src_dir}/scale_argb.cc
  ${ly_src_dir}/scale.cc
  ${ly_src_dir}/scale_common.cc
  ${ly_src_dir}/scale_gcc.cc
  ${ly_src_dir}/scale_lsx.cc
  ${ly_src_dir}/scale_msa.cc
  ${ly_src_dir}/scale_rgb.cc
  ${ly_src_dir}/scale_rvv.cc
  ${ly_src_dir}/scale_uv.cc
  ${ly_src_dir}/scale_win.cc
  ${ly_src_dir}/video_common.cc)

file ( GLOB_RECURSE	ly_unittest_sources ${ly_tst_dir}/*.cc )
list ( SORT			ly_unittest_sources )

include_directories( BEFORE ${ly_inc_dir} )

if(MSVC)
  add_definitions ( -D_CRT_SECURE_NO_WARNINGS )
endif()

# Need to set PIC to allow creating shared libraries from object file libraries.
set(CMAKE_POSITION_INDEPENDENT_CODE ON)

# Build the set of objects that do not need to be compiled with flags to enable
# particular architecture features.
add_library( ${ly_lib_name}_common_objects OBJECT ${ly_common_source_files} )
set(ly_lib_parts $<TARGET_OBJECTS:${ly_lib_name}_common_objects>)

string(TOLOWER "${CMAKE_SYSTEM_PROCESSOR}" SYSPROC)
set(LOONGARCH64_ALIASES loongarch64)
list(FIND LOONGARCH64_ALIASES "${SYSPROC}" LOONGARCH64MATCH)

if(LOONGARCH64MATCH GREATER "-1")
  set(LOONGARCH64 1)
endif()

if(NOT MSVC)
  string(TOLOWER "${CMAKE_SYSTEM_PROCESSOR}" arch_lowercase)

  if(arch_lowercase MATCHES "^arm" AND NOT arch_lowercase STREQUAL "arm64")
    # Enable Arm Neon kernels.
    add_definitions(-DLIBYUV_NEON=1)
    add_library(${ly_lib_name}_neon OBJECT
      ${ly_src_dir}/compare_neon.cc
      ${ly_src_dir}/rotate_neon.cc
      ${ly_src_dir}/row_neon.cc
      ${ly_src_dir}/scale_neon.cc)
    target_compile_options(${ly_lib_name}_neon PRIVATE -mfpu=neon)
    list(APPEND ly_lib_parts $<TARGET_OBJECTS:${ly_lib_name}_neon>)
  endif()

  if(arch_lowercase STREQUAL "aarch64" OR arch_lowercase STREQUAL "arm64")
    # Enable AArch64 Neon dot-product and i8mm kernels.
    add_library(${ly_lib_name}_neon64 OBJECT
      ${ly_src_dir}/compare_neon64.cc
      ${ly_src_dir}/rotate_neon64.cc
      ${ly_src_dir}/row_neon64.cc
      ${ly_src_dir}/scale_neon64.cc)
    target_compile_options(${ly_lib_name}_neon64 PRIVATE -march=armv8-a+dotprod+i8mm)
    list(APPEND ly_lib_parts $<TARGET_OBJECTS:${ly_lib_name}_neon64>)

    # Enable AArch64 SVE kernels.
    add_library(${ly_lib_name}_sve OBJECT
      ${ly_src_dir}/row_sve.cc)
    target_compile_options(${ly_lib_name}_sve PRIVATE -march=armv9-a+sve2)
    list(APPEND ly_lib_parts $<TARGET_OBJECTS:${ly_lib_name}_sve>)

    set(OLD_CMAKE_REQUIRED_FLAGS ${CMAKE_REQUIRED_FLAGS})
    set(OLD_CMAKE_TRY_COMPILE_TARGET_TYPE ${CMAKE_TRY_COMPILE_TARGET_TYPE})
    set(CMAKE_REQUIRED_FLAGS "${CMAKE_REQUIRED_FLAGS} -march=armv9-a+sme")
    set(CMAKE_TRY_COMPILE_TARGET_TYPE STATIC_LIBRARY)
    # Check whether the compiler can compile SME functions; this fails
    # with Clang for Windows.
    check_c_source_compiles("
__arm_locally_streaming void func(void) { }
int main(void) { return 0; }
    " CAN_COMPILE_SME)
    set(CMAKE_REQUIRED_FLAGS ${OLD_CMAKE_REQUIRED_FLAGS})
    set(CMAKE_TRY_COMPILE_TARGET_TYPE ${OLD_CMAKE_TRY_COMPILE_TARGET_TYPE})

    if (CAN_COMPILE_SME)
      # Enable AArch64 SME kernels.
      add_library(${ly_lib_name}_sme OBJECT
        ${ly_src_dir}/rotate_sme.cc
        ${ly_src_dir}/row_sme.cc
        ${ly_src_dir}/scale_sme.cc)
      target_compile_options(${ly_lib_name}_sme PRIVATE -march=armv9-a+sme)
      list(APPEND ly_lib_parts $<TARGET_OBJECTS:${ly_lib_name}_sme>)
    else()
      add_definitions(-DLIBYUV_DISABLE_SME)
    endif()
  endif()
endif()

if(LOONGARCH64)
  include(CheckCXXSourceCompiles)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wno-narrowing")
  check_cxx_source_compiles("
    int main(int argc, char **argv) {
      __asm__ volatile (
         \"vadd.w $vr0, $vr1, $vr1\"
      );
    return 0; }" SUPPORTS_LSX)

  check_cxx_source_compiles("
    int main(int argc, char **argv) {
      __asm__ volatile (
         \"xvadd.w $xr0, $xr1, $xr1\"
      );
    return 0; }" SUPPORTS_LASX)

  if(SUPPORTS_LSX)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -mlsx")
  endif()
  if(SUPPORTS_LASX)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -mlasx")
  endif()
endif()

# this creates the static library (.a)
add_library( ${ly_lib_static} STATIC ${ly_lib_parts})

# this creates the shared library (.so)
add_library( ${ly_lib_shared} SHARED ${ly_lib_parts})
set_target_properties( ${ly_lib_shared} PROPERTIES OUTPUT_NAME "${ly_lib_name}" )
set_target_properties( ${ly_lib_shared} PROPERTIES PREFIX "lib" )
if(WIN32)
  set_target_properties( ${ly_lib_shared} PROPERTIES IMPORT_PREFIX "lib" )
endif()

# this creates the cpuid tool
add_executable      ( cpuid ${ly_base_dir}/util/cpuid.c )
target_link_libraries  ( cpuid ${ly_lib_static} )

# this creates the conversion tool
add_executable			( yuvconvert ${ly_base_dir}/util/yuvconvert.cc )
target_link_libraries	( yuvconvert ${ly_lib_static} )

# this creates the yuvconstants tool
add_executable      ( yuvconstants ${ly_base_dir}/util/yuvconstants.c )
target_link_libraries  ( yuvconstants ${ly_lib_static} )

find_package ( JPEG )
if (JPEG_FOUND)
  include_directories( ${JPEG_INCLUDE_DIR} )
  target_link_libraries( ${ly_lib_shared} ${JPEG_LIBRARY} )
  add_definitions( -DHAVE_JPEG )
endif()

if(UNIT_TEST)
  find_library(GTEST_LIBRARY gtest)
  if(GTEST_LIBRARY STREQUAL "GTEST_LIBRARY-NOTFOUND")
    set(GTEST_SRC_DIR_DEFAULT /usr/src/gtest)
    if (CMAKE_CROSSCOMPILING)
      set(GTEST_SRC_DIR_DEFAULT ${CMAKE_SOURCE_DIR}/third_party/googletest/src/googletest)
    endif()
    set(GTEST_SRC_DIR ${GTEST_SRC_DIR_DEFAULT} CACHE STRING "Location of gtest sources")
    if(EXISTS ${GTEST_SRC_DIR}/src/gtest-all.cc)
      message(STATUS "building gtest from sources in ${GTEST_SRC_DIR}")
      set(gtest_sources ${GTEST_SRC_DIR}/src/gtest-all.cc)
      add_library(gtest STATIC ${gtest_sources})
      include_directories(${GTEST_SRC_DIR})
      include_directories(${GTEST_SRC_DIR}/include)
      set(GTEST_LIBRARY gtest)
    else()
      message(FATAL_ERROR "UNIT_TEST is set but unable to find gtest library")
    endif()
  endif()

  add_executable(libyuv_unittest ${ly_unittest_sources})
  target_link_libraries(libyuv_unittest ${ly_lib_name} ${GTEST_LIBRARY})
  find_library(PTHREAD_LIBRARY pthread)
  if(NOT PTHREAD_LIBRARY STREQUAL "PTHREAD_LIBRARY-NOTFOUND")
    target_link_libraries(libyuv_unittest pthread)
  endif()
  if (JPEG_FOUND)
    target_link_libraries(libyuv_unittest ${JPEG_LIBRARY})
  endif()

  if(NACL AND NACL_LIBC STREQUAL "newlib")
    target_link_libraries(libyuv_unittest glibc-compat)
  endif()

  find_library(GFLAGS_LIBRARY gflags)
  if(NOT GFLAGS_LIBRARY STREQUAL "GFLAGS_LIBRARY-NOTFOUND")
    target_link_libraries(libyuv_unittest gflags)
    add_definitions(-DLIBYUV_USE_GFLAGS)
  endif()
endif()


# install the conversion tool, .so, .a, and all the header files
install ( TARGETS yuvconvert DESTINATION bin )
install ( TARGETS ${ly_lib_static}						DESTINATION lib )
install ( TARGETS ${ly_lib_shared} LIBRARY DESTINATION lib RUNTIME DESTINATION bin ARCHIVE DESTINATION lib )
install ( DIRECTORY ${PROJECT_SOURCE_DIR}/include/		DESTINATION include )

# create the .deb and .rpm packages using cpack
include ( CM_linux_packages.cmake )

=== debian/changelog ===
libyuv (0.0.1898.20241219-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Boyuan Yang <byang@debian.org>  Thu, 19 Dec 2024 16:53:27 -0500

## libyuv 0.0.1899.20250103

=== debian/changelog ===
libyuv (0.0.1899.20250103-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Boyuan Yang <byang@debian.org>  Mon, 06 Jan 2025 12:18:19 -0500

=== debian/watch ===
version=4
#opts="mode=git,pretty=0.0.%cd.%h" \
opts="mode=git,pretty=0.0.1899.%cd" \
 https://chromium.googlesource.com/libyuv/libyuv \
 HEAD debian uupdate

## libyuv 0.0.1904.20250204

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # CMakeLists for libyuv
 # Originally created for "roxlu build system" to compile libyuv on windows
-# Run with -DTEST=ON to build unit tests
+# Run with -DUNIT_TEST=ON to build unit tests
 
 include(CheckCSourceCompiles)

=== util/Makefile ===
psnr: psnr.cc ssim.cc psnr_main.cc
ifeq ($(CXX),icl)
	$(CXX) /arch:SSE2 /Ox /openmp psnr.cc ssim.cc psnr_main.cc
else
	$(CXX) -msse2 -O3 -fopenmp -static -o psnr psnr.cc ssim.cc psnr_main.cc -Wl,--strip-all
endif

# for MacOS
# /usr/local/bin/g++-7 -msse2 -O3 -fopenmp -Bstatic -o psnr psnr.cc ssim.cc psnr_main.cc

=== debian/changelog ===
libyuv (0.0.1904.20250204-1) unstable; urgency=medium

  * New upstream snapshot.
  * debian/libyuv0.shlibs: Bump minimum required version.

 -- Boyuan Yang <byang@debian.org>  Thu, 06 Feb 2025 14:43:25 -0500

=== debian/control ===
Source: libyuv
Section: libs
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Boyuan Yang <byang@debian.org>,
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 googletest <!nocheck>,
 libjpeg-dev,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://chromium.googlesource.com/libyuv/libyuv/
Vcs-Git: https://salsa.debian.org/debian/libyuv.git
Vcs-Browser: https://salsa.debian.org/debian/libyuv
Description: Library for YUV scaling
 libyuv is an open source project that includes YUV scaling and
 conversion functionality.

Package: libyuv-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libyuv0 (= ${binary:Version}),
 ${misc:Depends},
Description: ${source:Synopsis} (development files)
 ${source:Extended-Description}
 .
 This package provides the development files.

Package: libyuv-utils
Architecture: any
Depends:
 libyuv0 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Description: ${source:Synopsis} (utilities)
 ${source:Extended-Description}
 .
 This package provides utilities provided by the library, including
 yuvconvert.

Package: libyuv0
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Provides:
 libyuv,
Conflicts:
 libyuv,
Replaces:
 libyuv,
Description: ${source:Synopsis} (shared library)
 ${source:Extended-Description}
 .
 This package provides the shared library.

=== debian/watch ===
version=4
#opts="mode=git,pretty=0.0.%cd.%h" \
opts="mode=git,pretty=0.0.1904.%cd" \
 https://chromium.googlesource.com/libyuv/libyuv \
 HEAD debian uupdate

## libyuv 0.0.1916.20250814

=== debian/changelog ===
libyuv (0.0.1916.20250814-1) unstable; urgency=medium

  * Upload to unstable.

 -- Boyuan Yang <byang@debian.org>  Sat, 16 Aug 2025 12:55:23 -0400

libyuv (0.0.1916.20250814-1~exp1) experimental; urgency=medium

  * New upstream snapshot.
  * debian/libyuv0.shlibs: Bump minimum required version.
  * debian/patches: Refresh patches.

 -- Boyuan Yang <byang@debian.org>  Fri, 15 Aug 2025 20:25:14 -0400

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,12 @@
 Uploaders:
  Boyuan Yang <byang@debian.org>,
 Build-Depends:
- cmake,
+ cmake (>= 3.16),
  debhelper-compat (= 13),
  googletest <!nocheck>,
  libjpeg-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://chromium.googlesource.com/libyuv/libyuv/
 Vcs-Git: https://salsa.debian.org/debian/libyuv.git
 Vcs-Browser: https://salsa.debian.org/debian/libyuv

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@
Architecture: !armel !s390x !powerpc !ppc64 !sparc64
Restrictions: build-needed, allow-stderr

=== debian/watch ===
version=4
#opts="mode=git,pretty=0.0.%cd.%h" \
opts="mode=git,pretty=0.0.1916.%cd" \
 https://chromium.googlesource.com/libyuv/libyuv \
 HEAD debian uupdate

## libyuv 0.0.1919.20250919

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,11 +2,11 @@
 # Originally created for "roxlu build system" to compile libyuv on windows
 # Run with -DUNIT_TEST=ON to build unit tests
 
+cmake_minimum_required( VERSION 3.16 )
+project ( YUV C CXX )	# "C" is required even for C++ projects
+option( UNIT_TEST "Built unit tests" OFF )
+
 include(CheckCSourceCompiles)
-
-project ( YUV C CXX )	# "C" is required even for C++ projects
-cmake_minimum_required( VERSION 2.8.12 )
-option( UNIT_TEST "Built unit tests" OFF )
 
 set ( ly_base_dir	${PROJECT_SOURCE_DIR} )
 set ( ly_src_dir	${ly_base_dir}/source )
@@ -112,18 +112,18 @@
       ${ly_src_dir}/rotate_neon64.cc
       ${ly_src_dir}/row_neon64.cc
       ${ly_src_dir}/scale_neon64.cc)
-    target_compile_options(${ly_lib_name}_neon64 PRIVATE -march=armv8-a+dotprod+i8mm)
+    target_compile_options(${ly_lib_name}_neon64 PRIVATE -march=armv8.2-a+dotprod+i8mm)
     list(APPEND ly_lib_parts $<TARGET_OBJECTS:${ly_lib_name}_neon64>)
 
     # Enable AArch64 SVE kernels.
     add_library(${ly_lib_name}_sve OBJECT
       ${ly_src_dir}/row_sve.cc)
-    target_compile_options(${ly_lib_name}_sve PRIVATE -march=armv9-a+sve2)
+    target_compile_options(${ly_lib_name}_sve PRIVATE -march=armv8.5-a+i8mm+sve2)
     list(APPEND ly_lib_parts $<TARGET_OBJECTS:${ly_lib_name}_sve>)
 
     set(OLD_CMAKE_REQUIRED_FLAGS ${CMAKE_REQUIRED_FLAGS})
     set(OLD_CMAKE_TRY_COMPILE_TARGET_TYPE ${CMAKE_TRY_COMPILE_TARGET_TYPE})
-    set(CMAKE_REQUIRED_FLAGS "${CMAKE_REQUIRED_FLAGS} -march=armv9-a+sme")
+    set(CMAKE_REQUIRED_FLAGS "${CMAKE_REQUIRED_FLAGS} -march=armv9-a+i8mm+sme")
     set(CMAKE_TRY_COMPILE_TARGET_TYPE STATIC_LIBRARY)
     # Check whether the compiler can compile SME functions; this fails
     # with Clang for Windows.
@@ -140,7 +140,7 @@
         ${ly_src_dir}/rotate_sme.cc
         ${ly_src_dir}/row_sme.cc
         ${ly_src_dir}/scale_sme.cc)
-      target_compile_options(${ly_lib_name}_sme PRIVATE -march=armv9-a+sme)
+      target_compile_options(${ly_lib_name}_sme PRIVATE -march=armv9-a+i8mm+sme)
       list(APPEND ly_lib_parts $<TARGET_OBJECTS:${ly_lib_name}_sme>)
     else()
       add_definitions(-DLIBYUV_DISABLE_SME)

=== debian/changelog ===
libyuv (0.0.1919.20250919-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Boyuan Yang <byang@debian.org>  Wed, 24 Sep 2025 15:38:32 -0400

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=-lto

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND =

%:
	dh $@ --buildsystem=cmake

# https://github.com/archlinux/svntogit-community/blob/packages/libyuv/trunk/PKGBUILD
execute_before_dh_auto_configure:
	sed -i 's|yuvconvert $${JPEG_LIBRARY}|$${ly_lib_shared} $${JPEG_LIBRARY}|g' ./CMakeLists.txt

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
  LIBYUV_TEST_FLAG := ON
else
  LIBYUV_TEST_FLAG := OFF
endif

# Known broken googletest
# hppa: requested in https://bugs.debian.org/1021606
ifneq (,$(filter $(DEB_HOST_ARCH), armel hppa s390x powerpc ppc64 sparc64))
  LIBYUV_TEST_FLAG = OFF
endif

override_dh_auto_configure:
	dh_auto_configure -- \
	    -DUNIT_TEST=$(LIBYUV_TEST_FLAG) \
	    -DGTEST_SRC_DIR=/usr/src/googletest/googletest \
	    $(NULL)

execute_after_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	-find . -name libyuv_unittest
	( exec $$(find . -name libyuv_unittest) )
endif

=== debian/watch ===
version=4
#opts="mode=git,pretty=0.0.%cd.%h" \
opts="mode=git,pretty=0.0.1919.%cd" \
 https://chromium.googlesource.com/libyuv/libyuv \
 HEAD debian uupdate

## libyuv 0.0.1922.20251210

=== debian/changelog ===
libyuv (0.0.1922.20251210-1) unstable; urgency=medium

  * New upstream snapshot.
  * debian/libyuv0.shlibs: Bump minimum required version.
  * debian/patches: Refresh patches.

 -- Boyuan Yang <byang@debian.org>  Fri, 12 Dec 2025 16:39:11 -0500

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,6 @@
  debhelper-compat (= 13),
  googletest <!nocheck>,
  libjpeg-dev,
-Rules-Requires-Root: no
 Standards-Version: 4.7.2
 Homepage: https://chromium.googlesource.com/libyuv/libyuv/
 Vcs-Git: https://salsa.debian.org/debian/libyuv.git

## libyuv 0.0.1922.20260106

=== CMakeLists.txt ===
--- 
+++ 
@@ -23,7 +23,6 @@
   ${ly_src_dir}/compare.cc
   ${ly_src_dir}/compare_common.cc
   ${ly_src_dir}/compare_gcc.cc
-  ${ly_src_dir}/compare_msa.cc
   ${ly_src_dir}/compare_win.cc
   ${ly_src_dir}/convert_argb.cc
   ${ly_src_dir}/convert.cc
@@ -42,14 +41,12 @@
   ${ly_src_dir}/rotate_common.cc
   ${ly_src_dir}/rotate_gcc.cc
   ${ly_src_dir}/rotate_lsx.cc
-  ${ly_src_dir}/rotate_msa.cc
   ${ly_src_dir}/rotate_win.cc
   ${ly_src_dir}/row_any.cc
   ${ly_src_dir}/row_common.cc
   ${ly_src_dir}/row_gcc.cc
   ${ly_src_dir}/row_lasx.cc
   ${ly_src_dir}/row_lsx.cc
-  ${ly_src_dir}/row_msa.cc
   ${ly_src_dir}/row_rvv.cc
   ${ly_src_dir}/row_win.cc
   ${ly_src_dir}/scale_any.cc
@@ -58,7 +55,6 @@
   ${ly_src_dir}/scale_common.cc
   ${ly_src_dir}/scale_gcc.cc
   ${ly_src_dir}/scale_lsx.cc
-  ${ly_src_dir}/scale_msa.cc
   ${ly_src_dir}/scale_rgb.cc
   ${ly_src_dir}/scale_rvv.cc
   ${ly_src_dir}/scale_uv.cc

=== debian/changelog ===
libyuv (0.0.1922.20260106-1) unstable; urgency=medium

  * New upstream snapshot.
    + Should now support RVV (RISC-V Vector extension), which should
      close LP: #2134454 .
  * debian/patches/0004-NEON: Make notes that non-NEON arm builds are
    no longer supported upstream, and that the downstream patch is
    provided as-is.

 -- Boyuan Yang <byang@debian.org>  Tue, 13 Jan 2026 11:49:39 -0500

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,7 @@
 %:
 	dh $@ --buildsystem=cmake
 
-# https://github.com/archlinux/svntogit-community/blob/packages/libyuv/trunk/PKGBUILD
+# https://gitlab.archlinux.org/archlinux/packaging/packages/libyuv/-/blob/main/PKGBUILD
 execute_before_dh_auto_configure:
 	sed -i 's|yuvconvert $${JPEG_LIBRARY}|$${ly_lib_shared} $${JPEG_LIBRARY}|g' ./CMakeLists.txt

=== debian/watch ===
version=4
#opts="mode=git,pretty=0.0.%cd.%h" \
opts="mode=git,pretty=0.0.1922.%cd" \
 https://chromium.googlesource.com/libyuv/libyuv \
 HEAD debian uupdate
